#include <bits/stdc++.h>
using namespace std;
main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int g;
    cin >> g;
    int n;
    cin >> n;
    int* arr;
    arr = new int[n];
    int z;
    cin >> z;
    int ans = 0;
    for (int i = 0; i < n; ++i){
        cin >> arr[i];
    }
    for (int k = 1; k <= n; ++k){
        for (int i = 0; i <= n - k; ++i){
            int sum = 0;
            for (int j = i; j < i + k; ++j){
                sum += arr[j];
            }
            double p = sum * 100 / z;
            if (p >= k){
                ans ++;
            }
        }
    }
    cout << ans;
    ////////////////////
    if(g >= 2){
    cin >> n;
    cin >> z;
    ans = 0;
    for (int i = 0; i < n; ++i){
        cin >> arr[i];
    }
    for (int k = 1; k <= n; ++k){
        for (int i = 0; i <= n - k; ++i){
            int sum = 0;
            for (int j = i; j < i + k; ++j){
                sum += arr[j];
            }
            double p = sum * 100 / z;
            if (p >= k){
                ans ++;
            }
        }
    }
    cout << " " << ans;
    }
    if(g >= 3){
    cin >> n;
    cin >> z;
    ans = 0;
    for (int i = 0; i < n; ++i){
        cin >> arr[i];
    }
    for (int k = 1; k <= n; ++k){
        for (int i = 0; i <= n - k; ++i){
            int sum = 0;
            for (int j = i; j < i + k; ++j){
                sum += arr[j];
            }
            double p = sum * 100 / z;
            if (p >= k){
                ans ++;
            }
        }
    }
    cout << " " << ans;
    }
    if(g >= 4){
    cin >> n;
    cin >> z;
    ans = 0;
    for (int i = 0; i < n; ++i){
        cin >> arr[i];
    }
    for (int k = 1; k <= n; ++k){
        for (int i = 0; i <= n - k; ++i){
            int sum = 0;
            for (int j = i; j < i + k; ++j){
                sum += arr[j];
            }
            double p = sum * 100 / z;
            if (p >= k){
                ans ++;
            }
        }
    }
    cout << " " << ans;
    }
    if(g >= 5){
    cin >> n;
    cin >> z;
    ans = 0;
    for (int i = 0; i < n; ++i){
        cin >> arr[i];
    }
    for (int k = 1; k <= n; ++k){
        for (int i = 0; i <= n - k; ++i){
            int sum = 0;
            for (int j = i; j < i + k; ++j){
                sum += arr[j];
            }
            double p = sum * 100 / z;
            if (p >= k){
                ans ++;
            }
        }
    }
    cout << " " << ans;
    }
    if(g >= 6){
    cin >> n;
    cin >> z;
    ans = 0;
    for (int i = 0; i < n; ++i){
        cin >> arr[i];
    }
    for (int k = 1; k <= n; ++k){
        for (int i = 0; i <= n - k; ++i){
            int sum = 0;
            for (int j = i; j < i + k; ++j){
                sum += arr[j];
            }
            double p = sum * 100 / z;
            if (p >= k){
                ans ++;
            }
        }
    }
    cout << " " << ans;
    }
    if(g >= 7){
    cin >> n;
    cin >> z;
    ans = 0;
    for (int i = 0; i < n; ++i){
        cin >> arr[i];
    }
    for (int k = 1; k <= n; ++k){
        for (int i = 0; i <= n - k; ++i){
            int sum = 0;
            for (int j = i; j < i + k; ++j){
                sum += arr[j];
            }
            double p = sum * 100 / z;
            if (p >= k){
                ans ++;
            }
        }
    }
    cout << " " << ans;
    }
    if(g >= 8){
    cin >> n;
    cin >> z;
    ans = 0;
    for (int i = 0; i < n; ++i){
        cin >> arr[i];
    }
    for (int k = 1; k <= n; ++k){
        for (int i = 0; i <= n - k; ++i){
            int sum = 0;
            for (int j = i; j < i + k; ++j){
                sum += arr[j];
            }
            double p = sum * 100 / z;
            if (p >= k){
                ans ++;
            }
        }
    }
    cout << " " << ans;
    }
    if(g >= 9){
    cin >> n;
    cin >> z;
    ans = 0;
    for (int i = 0; i < n; ++i){
        cin >> arr[i];
    }
    for (int k = 1; k <= n; ++k){
        for (int i = 0; i <= n - k; ++i){
            int sum = 0;
            for (int j = i; j < i + k; ++j){
                sum += arr[j];
            }
            double p = sum * 100 / z;
            if (p >= k){
                ans ++;
            }
        }
    }
    cout << " " << ans;
    }
    if(g >= 10){
    cin >> n;
    cin >> z;
    ans = 0;
    for (int i = 0; i < n; ++i){
        cin >> arr[i];
    }
    for (int k = 1; k <= n; ++k){
        for (int i = 0; i <= n - k; ++i){
            int sum = 0;
            for (int j = i; j < i + k; ++j){
                sum += arr[j];
            }
            double p = sum * 100 / z;
            if (p >= k){
                ans ++;
            }
        }
    }
    cout << " " << ans;
    }
    return 0;
}
